cURL
curl --request PATCH \
--url https://api.pricenow.dev/api/accounts/current/addresses/{addressId} \
--header 'Content-Type: application/json' \
--header 'accept-language: <accept-language>' \
--header 'pratiq-channel-uuid: <pratiq-channel-uuid>' \
--data '
{
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"countryCode": "<string>",
"purpose": []
}
'import requests
url = "https://api.pricenow.dev/api/accounts/current/addresses/{addressId}"
payload = {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"countryCode": "<string>",
"purpose": []
}
headers = {
"accept-language": "<accept-language>",
"pratiq-channel-uuid": "<pratiq-channel-uuid>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'accept-language': '<accept-language>',
'pratiq-channel-uuid': '<pratiq-channel-uuid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
countryCode: '<string>',
purpose: []
})
};
fetch('https://api.pricenow.dev/api/accounts/current/addresses/{addressId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"addressLine1": "<string>",
"addressLine2": "<string>",
"zip": "<string>",
"city": "<string>",
"state": "<string>",
"countryCode": "<string>",
"purpose": []
}
}accounts
Patch apiaccountscurrentaddresses
Update an address for the current account
PATCH
/
api
/
accounts
/
current
/
addresses
/
{addressId}
cURL
Headers
Language of the response
Available options:
en, de, fr, it UUID of the sales channel
Path Parameters
Body
application/json
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

